Get LP positions revenue for an owner
curl --request GET \
--url https://api.lpagent.io/open-api/v1/lp-positions/revenue/{owner} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lpagent.io/open-api/v1/lp-positions/revenue/{owner}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lpagent.io/open-api/v1/lp-positions/revenue/{owner}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"close_day": "2026-03-10T00:00:00.000Z",
"sum": 1500.5,
"sum_native": 1200.25,
"total_invested": 50000,
"total_invested_native": 40000,
"cumulative_pnl": 1500.5,
"cumulative_pnl_native": 1200.25,
"max_invested": 50000,
"max_invested_native": 40000,
"pnl_percent": 0.03,
"pnl_percent_native": 0.03
}
]
}Positions
Get LP positions revenue for an owner
Retrieve revenue and PnL data over time for a specific wallet owner. Only 7D and 1M ranges are available.
GET
/
lp-positions
/
revenue
/
{owner}
Get LP positions revenue for an owner
Authorizations
API key for authentication
Path Parameters
Wallet address of the position owner
Query Parameters
Aggregation period for revenue data
Available options:
day, week, month Time range filter (only 7D and 1M are available)
Available options:
7D, 1M Comma-separated protocol filter
Was this page helpful?
⌘I